SDL_AndroidGetActivity(3)

NAME
SDL_AndroidGetActivity - Retrieve the Java instance of the Android activity class.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_AndroidGetActivity(void);

DESCRIPTION
The prototype of the function in SDL's code actually declares a void* return type, even if the implementation returns a jobject. The rationale being that the SDL headers can avoid including jni.h. The jobject returned by the function is a local reference and must be released by the caller. See the PushLocalFrame() and PopLocalFrame() or DeleteLocalRef() functions of the Java native interface: https://docs.oracle.com/javase/1.5.0/docs/guide/jni/spec/functions.html

RETURN VALUE
Returns the jobject representing the instance of the Activity class of the Android application, or NULL on error.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AndroidGetJNIEnv(3)